@import url(global.css);

/***************************************/
/****************Custom*****************/
/***************************************/

/* Main */
@media screen and (min-width: 1025px) {
  .ljKEHi {
    padding-top: 0 !important;
  }
}

/* Section Hero */
.section-hero {
  height: 100vh;
  display: grid;
  justify-content: center;
  grid-template-rows: 1fr auto;
  margin-top: 0;
  background: #ffffff;
}
@media (min-width: 768px) {
  .section-hero {
    margin-top: 60px;
    height: 100vh;
  }
}

.section-hero__background {
  width: 100%;
  object-fit: cover;
  height: 480px;
  margin-top: -110px;
  filter: grayscale(100%);
}

.section-hero__content {
  width: 100%;
  max-width: 440px;
  padding: 0 16px;
  text-align: center;
  margin: auto;
  position: relative;
  z-index: 10; 
}
@media (min-width: 768px) {
  .section-hero__content {
    max-width: 580px;
  }
}

.section-hero__content img {
  height: 44px;
  margin: auto;
  margin-bottom: 16px;
}
@media (min-width: 768px) {
  .section-hero__content img{
    max-width: 580px;
  }
}

.custom-scroll .section-hero__content img {
  visibility: hidden;
}

.section-hero__content p {
  text-wrap: auto;
}

.section-hero__wrapper-buttons {
  display: flex;
  gap: 12px;
  padding: 16px 0px;
  width: 100%;
  margin: auto;
  justify-content: center;
  flex-wrap: wrap;
  position: relative;
  z-index: 10;
}

.section-hero__wrapper-buttons a {
  width: fit-content !important;
  min-width: 240px;
}

/* .section-hero__wrapper-buttons a:first-child {
  background: #fa821e;
  box-shadow: 0px 10px 40px -10px rgba(250, 130, 30, 0.5);
} */

.section-hero__title {
  margin-top: 0;
  margin-bottom: 15px;
  line-height: 1.2;
  font-weight: 400;
  text-wrap: auto;
  font-size: 3.4rem;
}
@media (min-width: 600px) {
  .section-hero__title {
    font-size: 3.6rem;
  }
}
@media (min-width: 768px) {
  .section-hero__title {
    font-size: 4.6rem;
    text-wrap: auto;
  }
}

#cloud-animation {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden; 
}

#cloud-animation img {
  height: 48px;
  opacity: 0.06;
  position: absolute;
  animation: cloud-move 40s linear infinite;
}

#cloud-animation img:nth-child(1) {
  left: 0%;
  top: 80px;
}

#cloud-animation img:nth-child(2) {
  left: 20%;
  top: 180px;
}

#cloud-animation img:nth-child(3) {
  left: 40%;
  top: 130px;
}

#cloud-animation img:nth-child(4) {
  left: 60%;
  top: 80px;
}

#cloud-animation img:nth-child(5) {
  left: 80%;
  top: 180px;
}

@keyframes cloud-move {
  0% { transform: translateX(0); }
  100% { transform: translateX(100%); }
}

#car-hero {
  position: absolute;
  bottom: 20px;
  left: 0;
  height: 60px;
  width: auto;
  filter: grayscale(100%);
  animation: car 90s linear infinite;
  z-index: 1;
}

/* Benefícios */
.beneficios {
  background: #f7f7f7;
}

.beneficios .wrapper-image {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
}
.beneficios img {
  width: 100px;
}

@media (max-width: 600px) {
  .section-beneficios__item {
    display: grid;
    grid-template-columns: 80px 1fr;
    gap: 16px;
  }

  .beneficios .wrapper-image {
    width: 80px;
    height: 80px;
  }

  .beneficios .wrapper-image img {
    width: 56px;
  }
}

/* Section Como Funciona */
.section-como-funciona {
  background-color: #ffffff !important;
  padding: 40px 20px;
}
@media screen and (min-width: 768px) {
  .section-como-funciona {
    padding: 70px 20px;
  }
}

.section-como-funciona__items {
  display: grid;
  grid-template-columns: 1fr;
  margin-top: 24px;
  max-width: 100%;
  overflow: hidden;
}
@media screen and (min-width: 768px) {
  .section-como-funciona__items {
    grid-template-columns: repeat(auto-fit, minmax(280px, 450px));
  }
}

.section-como-funciona__item {
  border-radius: 4px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 32px 16px;
  display: flex;
  flex-direction: column;
  text-align: left;
  transition: all 0.3s ease;
  border-left: 4px solid #fa821e;
}

.section-como-funciona__item:nth-child(2) {
  border-left: 4px solid #2d7dc3;
}

.section-como-funciona__item h3 {
  color: #333;
  margin-top: 0;
  margin-bottom: 8px;
  font-weight: 600;
  min-height: 40px;
  font-size: 2.2rem;
}

.section-como-funciona__item p {
  color: #666;
  line-height: 1.6;
  margin-bottom: 0;
  text-align: start;
  text-wrap: auto;
}